Skip to Content
inclamoDocs

Get an inbox

GET
/api/v1/accounts/{account_id}/inboxes/{id}

Get an inbox available in the current account

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

id*number

ID of the inbox

Response Body

Success

application/json
  1. response
id?number

ID of the inbox

name?string

The name of the inbox

website_url?|

Website URL

page_id?|

Facebook Page ID associated with the inbox

instagram_id?|

Instagram account ID associated with the inbox

business_id?|

TikTok business ID associated with the inbox

provider_name?|

Provider username or page name associated with the social inbox

profile_id?|

X profile ID associated with the inbox

line_channel_id?|

LINE channel ID associated with the inbox

email?|

Email address associated with the inbox

bot_name?|

Telegram bot name associated with the inbox

inbox_identifier?|

Public identifier associated with an API inbox

channel_type?string

The type of the inbox

avatar_url?string

The avatar image of the inbox

widget_color?|

Widget Color used for customization of the widget

website_token?|

Website Token

enable_auto_assignment?boolean

The flag which shows whether Auto Assignment is enabled or not

web_widget_script?|

Script used to load the website widget

welcome_title?|

Welcome title to be displayed on the widget

welcome_tagline?|

Welcome tagline to be displayed on the widget

greeting_enabled?boolean

The flag which shows whether greeting is enabled

greeting_message?|

A greeting message when the user starts the conversation

channel_id?number

ID of the channel this inbox belongs to

working_hours_enabled?boolean

The flag which shows whether working hours feature is enabled

enable_email_collect?boolean

The flag to enable collecting email from contacts

csat_survey_enabled?boolean

The flag to enable CSAT survey

auto_assignment_config?

Configuration settings for auto assignment

out_of_office_message?|

Message to show when agents are out of office

working_hours?array<>

Configuration for working hours of the inbox

timezone?string

Timezone configuration for the inbox

callback_webhook_url?|

Webhook URL for callbacks

allow_messages_after_resolved?boolean

Whether to allow messages after a conversation is resolved

lock_to_single_conversation?boolean

Whether to lock a contact to a single conversation

sender_name_type?string

Type of sender name to display (e.g., friendly)

business_name?|

Business name associated with the inbox

branded_email_layout?|

Liquid HTML layout for branded email replies. Available to administrators for Email inbox show/update responses.

hmac_mandatory?|

Whether HMAC verification is mandatory

selected_feature_flags?array<string>|

Selected feature flags for the inbox

reply_time?|

Expected reply time

messaging_service_sid?|

Messaging service SID for SMS providers

phone_number?|

Phone number associated with the inbox

medium?string

Medium of communication (e.g., sms, email)

provider?|

Provider of the channel

Example Request
curl -X GET 'https://helpdesk.inclamo.com/api/v1/accounts/0/inboxes/0'
Example Response
{  "id": 0,  "name": "string",  "website_url": "string",  "page_id": "string",  "instagram_id": "string",  "business_id": "string",  "provider_name": "string",  "profile_id": "string",  "line_channel_id": "string",  "email": "string",  "bot_name": "string",  "inbox_identifier": "string",  "channel_type": "string",  "avatar_url": "string",  "widget_color": "string",  "website_token": "string",  "enable_auto_assignment": true,  "web_widget_script": "string",  "welcome_title": "string",  "welcome_tagline": "string",  "greeting_enabled": true,  "greeting_message": "string",  "channel_id": 0,  "working_hours_enabled": true,  "enable_email_collect": true,  "csat_survey_enabled": true,  "auto_assignment_config": {},  "out_of_office_message": "string",  "working_hours": [    {      "day_of_week": 0,      "closed_all_day": true,      "open_hour": 0,      "open_minutes": 0,      "close_hour": 0,      "close_minutes": 0,      "open_all_day": true    }  ],  "timezone": "string",  "callback_webhook_url": "string",  "allow_messages_after_resolved": true,  "lock_to_single_conversation": true,  "sender_name_type": "string",  "business_name": "string",  "branded_email_layout": "string",  "hmac_mandatory": true,  "selected_feature_flags": [    "string"  ],  "reply_time": "string",  "messaging_service_sid": "string",  "phone_number": "string",  "medium": "string",  "provider": "string"}